Skip to main content
PUT
/
api
/
task-groups
/
{id}
Update a task group
curl --request PUT \
  --url https://platform.kodexa.ai/api/task-groups/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "changeSequence": 123,
  "description": "<string>",
  "metadata": {},
  "name": "<string>",
  "priority": 123,
  "properties": {},
  "statusSlug": "<string>",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://platform.kodexa.ai/api/task-groups/{id}"

payload = {
"changeSequence": 123,
"description": "<string>",
"metadata": {},
"name": "<string>",
"priority": 123,
"properties": {},
"statusSlug": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
description: '<string>',
metadata: {},
name: '<string>',
priority: 123,
properties: {},
statusSlug: '<string>',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://platform.kodexa.ai/api/task-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "assignee": {
    "active": true,
    "bio": "<string>",
    "businessGroup": "<string>",
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "firstName": "<string>",
    "groupsJson": "<string>",
    "id": "<string>",
    "image": "<string>",
    "isExternallyManaged": true,
    "lastName": "<string>",
    "preferences": {
      "showOnboarding": true,
      "showScrollbars": true,
      "showWelcomeMessage": true
    },
    "rolesJson": "<string>",
    "searchText": "<string>",
    "security": {
      "roles": [
        "<string>"
      ]
    },
    "showDeveloperTools": true,
    "title": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "userStorage": {
      "favoriteLinks": [
        {
          "link": "<string>"
        }
      ]
    },
    "userType": "<string>",
    "uuid": "<string>"
  },
  "assigneeId": "<string>",
  "changeSequence": 123,
  "completedTaskCount": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "deleteUserEmail": "<string>",
  "deleteUserId": "<string>",
  "deleted": true,
  "deletedDate": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "history": [
    {
      "changeSequence": 123,
      "content": "<string>",
      "createdOn": "2023-11-07T05:31:56Z",
      "detail": "<unknown>",
      "id": "<string>",
      "taskGroup": "<unknown>",
      "taskGroupId": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "user": "<unknown>",
      "userId": "<string>",
      "uuid": "<string>"
    }
  ],
  "id": "<string>",
  "locked": true,
  "metadata": {},
  "name": "<string>",
  "priority": 123,
  "project": {
    "changeSequence": 123,
    "color": "#4A90D9",
    "createdOn": "2023-11-07T05:31:56Z",
    "dataFlow": {
      "edges": [
        {
          "id": "<string>",
          "properties": {},
          "source": "<string>",
          "target": "<string>"
        }
      ],
      "nodes": [
        {
          "dimensions": {
            "height": 123,
            "width": 123
          },
          "id": "<string>",
          "parentId": "<string>",
          "position": {
            "x": 123,
            "y": 123
          },
          "properties": {},
          "type": "<string>"
        }
      ],
      "viewPort": {
        "x": 123,
        "y": 123,
        "zoom": 123
      }
    },
    "description": "Automated invoice processing pipeline.",
    "documentStatuses": [
      {
        "changeSequence": 123,
        "color": "<string>",
        "createdOn": "2023-11-07T05:31:56Z",
        "icon": "<string>",
        "id": "<string>",
        "project": "<unknown>",
        "projectId": "<string>",
        "slug": "<string>",
        "status": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      }
    ],
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "memory": {
      "changeSequence": 123,
      "orderedDashboards": [
        "<string>"
      ],
      "recentFilters": {},
      "recentQueries": {}
    },
    "name": "Invoice Processing",
    "notes": "<string>",
    "options": {
      "companion": {
        "agentRuntimeRef": "<string>",
        "moduleRefs": [
          "<string>"
        ],
        "prompt": "<string>"
      },
      "dataOptions": [
        {
          "aliases": [
            "<string>"
          ],
          "default": "<unknown>",
          "description": "<string>",
          "developerOnly": true,
          "displayProperties": {},
          "falseLabel": "<string>",
          "featureFlag": "<string>",
          "groupOptions": "<array>",
          "hint": "<string>",
          "label": "<string>",
          "listDescription": "<string>",
          "listLabel": "<string>",
          "listType": "<string>",
          "name": "<string>",
          "overviewMarkdown": "<string>",
          "possibleValues": [
            {
              "description": "<string>",
              "label": "<string>",
              "value": "<unknown>"
            }
          ],
          "properties": {},
          "required": true,
          "showIf": "<string>",
          "showOnPopup": true,
          "subType": "<string>",
          "supportArticle": "<string>",
          "tabName": "<string>",
          "type": "<string>"
        }
      ],
      "dataProperties": {},
      "executionPolicy": {
        "backoffBaseSeconds": 123,
        "backoffStrategy": "<string>",
        "maxAttempts": 123,
        "onExhausted": "<string>",
        "timeoutSeconds": 123
      },
      "groupTaxonTypeFeatures": {},
      "options": [
        {
          "aliases": [
            "<string>"
          ],
          "default": "<unknown>",
          "description": "<string>",
          "developerOnly": true,
          "displayProperties": {},
          "falseLabel": "<string>",
          "featureFlag": "<string>",
          "groupOptions": "<array>",
          "hint": "<string>",
          "label": "<string>",
          "listDescription": "<string>",
          "listLabel": "<string>",
          "listType": "<string>",
          "name": "<string>",
          "overviewMarkdown": "<string>",
          "possibleValues": [
            {
              "description": "<string>",
              "label": "<string>",
              "value": "<unknown>"
            }
          ],
          "properties": {},
          "required": true,
          "showIf": "<string>",
          "showOnPopup": true,
          "subType": "<string>",
          "supportArticle": "<string>",
          "tabName": "<string>",
          "type": "<string>"
        }
      ],
      "properties": {},
      "taskOptions": {
        "showNewTask": true
      },
      "taxonTypeFeatures": {}
    },
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "owner": {
      "active": true,
      "bio": "<string>",
      "businessGroup": "<string>",
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "firstName": "<string>",
      "groupsJson": "<string>",
      "id": "<string>",
      "image": "<string>",
      "isExternallyManaged": true,
      "lastName": "<string>",
      "preferences": {
        "showOnboarding": true,
        "showScrollbars": true,
        "showWelcomeMessage": true
      },
      "rolesJson": "<string>",
      "searchText": "<string>",
      "security": {
        "roles": [
          "<string>"
        ]
      },
      "showDeveloperTools": true,
      "title": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "userStorage": {
        "favoriteLinks": [
          {
            "link": "<string>"
          }
        ]
      },
      "userType": "<string>",
      "uuid": "<string>"
    },
    "ownerId": "<string>",
    "projectTemplateRef": "<string>",
    "searchText": "<string>",
    "slug": "invoice-processing",
    "status": {
      "changeSequence": 123,
      "color": "<string>",
      "createdOn": "2023-11-07T05:31:56Z",
      "icon": "<string>",
      "id": "<string>",
      "organization": {
        "archived": true,
        "authGroupLink": {
          "authGroup": "<string>"
        },
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "defaultToPrivateTemplates": true,
        "description": "Document processing organization for Acme Corp.",
        "enterpriseOrganization": true,
        "features": {},
        "hasImage": true,
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "memory": {
          "orderedDashboards": [
            "<string>"
          ]
        },
        "name": "Acme Corp",
        "organizationStatus": "ACTIVE",
        "properties": {},
        "publicAccess": true,
        "searchText": "<string>",
        "slug": "acme-corp",
        "stripeCustomerId": "<string>",
        "supportAccess": true,
        "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "550e8400e29b41d4a716446655440000"
      },
      "organizationId": "<string>",
      "production": true,
      "status": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "<string>"
    },
    "statusId": "<string>",
    "statusType": "ACTIVE",
    "templateArticleId": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "7c9e667974254de944be07fc1f90ae7"
  },
  "projectId": "<string>",
  "properties": {},
  "statusSlug": "<string>",
  "taskCount": 123,
  "team": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "searchText": "<string>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "teamId": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json
changeSequence
integer
description
string
metadata
object
name
string
priority
integer
properties
object
statusSlug
string
teamId
string<uuid>

Response

Updated task group

assignee
object | null

A platform user represents a user account in the Kodexa platform.

assigneeId
string | null
changeSequence
integer<int32>
completedTaskCount
integer<int32>
createdOn
string<date-time>
deleteUserEmail
string
deleteUserId
string
deleted
boolean | null
deletedDate
string<date-time> | null
description
string
history
object[]
id
string
locked
boolean | null
metadata
object
name
string
priority
integer<int32> | null
project
object | null

A project groups related document stores, assistants, tasks, and processing pipelines within an organization.

projectId
string | null
properties
object
statusSlug
string | null
taskCount
integer<int32>
team
object | null

A team groups users together for collaborative access control within projects.

teamId
string | null
updatedOn
string<date-time>
uuid
string